# lsframe - map, classify, frame

[![https://thcasey3.github.io/lsframe/](https://img.shields.io/pypi/v/lsframe)](https://pypi.org/project/lsframe/)
[![Website](https://img.shields.io/website?down_message=offline&label=Documentation&up_message=online&url=https%3A%2F%2Fthcasey3.github.io%2Flsframe%2Findex.html)](https://thcasey3.github.io/lsframe/)

lsframe is an open-source Python package for mapping directories and correlating specific language patterns in file and folder names with each other and with outputs of user-supplied functions.

# Features

- Create DataFrames that are maps of directories
- Organize DataFrames using dates and language in file and folder names
- Find possible dates in arbitrarily formatted file and folder names 
- Construct DataFrames from a function that processes files and folders
- Visualize correlations between dates or language and function outputs

# Requirements

  - Python 3.6 or Later
  - pandas, numpy, python-dateutil, seaborn

Install the required packages using pip:
```console
pip install pandas numpy python-dateutil seaborn
```

# Installation

Install lsframe using pip:

```console
pip install lsframe
```

# Documenation

- Online documentation: https://thcasey3.github.io/lsframe/

# Developement 

  - Clone the git repository from https://github.com/thcasey3/lsframe/tree/development
